Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.ntru
Class SignaturePrivateKey.Basis

    java.lang.Object
      net.sf.ntru.SignaturePrivateKey.Basis

Enclosing class:
  SignaturePrivateKey

    static class SignaturePrivateKey.Basis

extends java.lang.Object

Field Summary
`(package private) IntegerPolynomial` | `f`
`(package private) IntegerPolynomial` | `fPrime`
`(package private) IntegerPolynomial` | `h`
`(package private) SignatureParameters` | `params`

Constructor Summary
`SignaturePrivateKey.Basis(java.nio.ByteBuffer buf, SignatureParameters params, boolean include_h)`
`SignaturePrivateKey.Basis(IntegerPolynomial f, IntegerPolynomial fPrime, IntegerPolynomial h, SignatureParameters params)`

Method Summary
`(package private) void` | `encode(java.io.OutputStream os, boolean include_h)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### f

    IntegerPolynomial f

### fPrime

    IntegerPolynomial fPrime

### h

    IntegerPolynomial h

### params

    SignatureParameters params

Constructor Detail

### SignaturePrivateKey.Basis

    SignaturePrivateKey.Basis(IntegerPolynomial f,
                              IntegerPolynomial fPrime,
                              IntegerPolynomial h,
                              SignatureParameters params)

### SignaturePrivateKey.Basis

    SignaturePrivateKey.Basis(java.nio.ByteBuffer buf,
                              SignatureParameters params,
                              boolean include_h)

Method Detail

### encode

    void encode(java.io.OutputStream os,
                boolean include_h)
          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD